package com.czg.service.order.service;

import com.czg.order.dto.MkDistributionPayDTO;
import com.czg.resp.CzgResult;

import java.util.Map;


/**
 * 支付
 *
 * @author ww
 */
public interface DistributionPayService {
    /**
     * 现金支付
     */
    CzgResult<Object> cashPayOrder(MkDistributionPayDTO payParam);


    /**
     * 小程序支付
     */
    CzgResult<Map<String, Object>> ltPayOrder(String clintIp, MkDistributionPayDTO payParam);

    /**
     * PC扫码支付
     */
    CzgResult<Map<String, Object>> scanPayOrder(String clintIp, MkDistributionPayDTO payParam);

    /**
     * 反扫
     */
    CzgResult<Map<String, Object>> microPayOrder(MkDistributionPayDTO payParam);


    Map<String, String> mchRecharge(String clientIP, MkDistributionPayDTO payParam);

}
